#ifndef __MouseUpFilter_h__
#define __MouseUpFilter_h__
/**********************************************************************
**********************************************************************/
#include <Window.h>
#include <View.h>
#include <MessageFilter.h>
//
//
//
class CMouseUpFilter : BMessageFilter {
public:
	CMouseUpFilter() : BMessageFilter(B_MOUSE_UP){};
private:
	virtual filter_result Filter( BMessage *message, BHandler **target){
		BWindow *lpWindow = dynamic_cast< BWindow * >( *target );
		if( lpWindow ){
			//BView *lpView = lpWindow->ChildAt(0);
			lpWindow->PostMessage( message );
			return B_SKIP_MESSAGE;
		}
		return B_DISPATCH_MESSAGE;
	};
};

#endif
