/*
 * ExceptionBase.h - "ALICE SOFT System3.x" compatible scenario decoder SD35
 *
 * Copyright (C) 1999 Atsushi Mizuguchi  All rights reserved.
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
 * 02111-1307, USA
 * 
 * 
 *      99/05/24 KISAKA Toshihiro       modify for mwcc compatiblility
 *
 */

#ifndef __ExceptionBase_h__
#define __ExceptionBase_h__
/**********************************************************************
	error exception class

**********************************************************************/
//
#if (!__MWERKS__ || defined(MSIPL_USING_NAMESPACE))
namespace err {
#endif
	class Exception;
#if (!__MWERKS__ || defined(MSIPL_USING_NAMESPACE))
}
#endif
//
// class
#if (!__MWERKS__ || defined(MSIPL_USING_NAMESPACE))
class err::Exception {
#else
class Exception {
#endif
public:
	Exception(){};
	virtual ~Exception(){};
	//
	virtual void Message(FILE *fp = stderr) = 0;
};

#endif
