/*
 * FilePtr.cpp - "ALICE SOFT System3.x" compatible scenario decoder SD35
 *
 * Copyright (C) 1999 Atsushi Mizuguchi  All rights reserved.
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
 * 02111-1307, USA
 * 
 * 
 *      99/05/24 KISAKA Toshihiro       modify for mwcc compatiblility
 *
 */

#include "stdafx.h"
#include "FilePtr.h"

#include "Exception.h"

#if (!__MWERKS__ || defined(MSIPL_USING_NAMESPACE))
using namespace std;
using namespace err;
#endif
/**********************************************************************
	RXgNV
**********************************************************************/
CFilePtr::CFilePtr(const char *_lpName, const char *_lpMode)
{
	m_fp = fopen( _lpName, _lpMode );
	if( m_fp == NULL )throw EFileOpen( _lpName );
}

CFilePtr::~CFilePtr()
{
	fclose( m_fp );
}

/**********************************************************************
	t@CTCY̎擾
**********************************************************************/
long CFilePtr::GetSize(void)
{
	long current = ftell(m_fp);
	long ret;

	fseek(m_fp, 0L, SEEK_END);
	ret = ftell(m_fp);
	fseek(m_fp, current, SEEK_SET);

	return ret;	
}
