/*
 *      99/05/24 KISAKA Toshihiro       modify for mwcc compatiblility
 */

#include "stdafx.h"
#include "Kanakan.h"

#if (!__MWERKS__ || defined(MSIPL_USING_NAMESPACE))
using namespace kanakan;
#endif
/**********************************************************************
	pJiSjisSp
**********************************************************************/
#if (!__MWERKS__ || defined(MSIPL_USING_NAMESPACE))
const unsigned char *kanakan::Hankana2Sjis(int _Index) {
#else
const unsigned char *Hankana2Sjis(int _Index) {
#endif
	static const unsigned char SjisKanaTbl[][2] = {
		0x81, 0x40, 0x81, 0x42, 0x81, 0x75, 0x81, 0x76,
		0x81, 0x41, 0x81, 0x45, 0x82, 0xf0, 0x82, 0x9f,
		0x82, 0xa1, 0x82, 0xa3, 0x82, 0xa5, 0x82, 0xa7,
		0x82, 0xe1, 0x82, 0xe3, 0x82, 0xe5, 0x82, 0xc1,
		0x81, 0x5b, 0x82, 0xa0, 0x82, 0xa2, 0x82, 0xa4,
		0x82, 0xa6, 0x82, 0xa8, 0x82, 0xa9, 0x82, 0xab,
		0x82, 0xad, 0x82, 0xaf, 0x82, 0xb1, 0x82, 0xb3,
		0x82, 0xb5, 0x82, 0xb7, 0x82, 0xb9, 0x82, 0xbb,
		0x82, 0xbd, 0x82, 0xbf, 0x82, 0xc2, 0x82, 0xc4,
		0x82, 0xc6, 0x82, 0xc8, 0x82, 0xc9, 0x82, 0xca,
		0x82, 0xcb, 0x82, 0xcc, 0x82, 0xcd, 0x82, 0xd0,
		0x82, 0xd3, 0x82, 0xd6, 0x82, 0xd9, 0x82, 0xdc,
		0x82, 0xdd, 0x82, 0xde, 0x82, 0xdf, 0x82, 0xe0,
		0x82, 0xe2, 0x82, 0xe4, 0x82, 0xe6, 0x82, 0xe7,
		0x82, 0xe8, 0x82, 0xe9, 0x82, 0xea, 0x82, 0xeb,
		0x82, 0xed, 0x82, 0xf1, 0x81, 0x4a, 0x81, 0x4b
	};

	return SjisKanaTbl[_Index - 0xa0];
}

