/*
 * stdafx.h - "ALICE SOFT System3.x" compatible scenario decoder SD35
 *
 * Copyright (C) 1999 Atsushi Mizuguchi  All rights reserved.
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
 * 02111-1307, USA
 * 
 * 
 */

#ifndef __StdAfx_h__
#define __StdAfx_h__

#include <cstdio>
#include <cstdlib>
#include <cstdarg>
#include <cstring>

#include <algorithm>
#include <string>

#include "Exception.h"
#include "Endian.h"

#include "ScenarioDecoderSystem.h"
#include "ScenarioDecoder.h"
#include "ScenarioParser.h"
#include "ExpressionDriver.h"
#include "GraphicDriver.h"

// for VC/C++ 5.0/6.0
#if _MSC_VER > 1000
#define for if(0);else for
#define min _cpp_min
#define max _cpp_max
#endif

#endif
